Subject: Re: [PATCH v8 32/37] post-update: use hook.h library

From: Emily Shaffer <[email-masked]>
Date: Mon, 29 Mar 2021 17:01:16 -0700

On Fri, Mar 12, 2021 at 10:14:31AM +0100, Ævar Arnfjörð Bjarmason wrote:
> 
> 
> On Thu, Mar 11 2021, Emily Shaffer wrote:
> 
> > By using run_hooks() instead of run_hook_le(), 'post-update' hooks can
> > be specified in the config as well as the hookdir.
> 
> Looking ahead in the series no tests for this, seems like a good thing
> to have some at least trivial tests for each hook and their config
> invocation.

I'll look through the series and make sure the hooks being converted
have at least some test to make sure they worked; I think I checked that
for some of the early ones but got lazy :) I'll try and add some
config-specified tests too. Thanks, it's on my todo list.

 - Emily